From e3ccf21f5dc32f876ea8f981febc5fcad4c340f8 Mon Sep 17 00:00:00 2001
From: Robert Haas <rhaas@postgresql.org>
Date: Tue, 20 Mar 2018 14:17:03 -0400
Subject: [PATCH 2/3] Fix Assert style.

---
 src/backend/optimizer/plan/planner.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/optimizer/plan/planner.c b/src/backend/optimizer/plan/planner.c
index c05182d479..fda32b310c 100644
--- a/src/backend/optimizer/plan/planner.c
+++ b/src/backend/optimizer/plan/planner.c
@@ -6933,8 +6933,8 @@ create_partitionwise_grouping_paths(PlannerInfo *root,
 	 * If partial partitionwise aggregation needs to be performed, then we
 	 * must have created a partially_grouped_rel already.
 	 */
-	if (extra->perform_partial_partitionwise_aggregation)
-		Assert(partially_grouped_rel != NULL);
+	Assert(!extra->perform_partial_partitionwise_aggregation ||
+		   partially_grouped_rel != NULL);
 
 	/*
 	 * For full aggregation or grouping, each partition produces a disjoint
-- 
2.14.3 (Apple Git-98)

